<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" version="4.0"/>
<xsl:template match="/">
<html>
<head>
<title>WolfStat</title>
<link rel="stylesheet" href="../wolfstat.css" type="text/css" />
</head>
	<body>
	<!-- START TOP -->
	<table border="0" cellspacing="1" cellpadding="4">
		<tr><td CLASS="SERVER_NAME">
			<xsl:value-of select="WOLFSTATS/INFO/SERVER_NAME" />
		</td></tr>
		<tr><td CLASS="SERVER_ADDRESS" align="center">
			(<xsl:value-of select="WOLFSTATS/INFO/SERVER_ADDRESS" />)<br/>
		</td></tr>
	</table>
	<!-- END TOP -->
	
	<!-- START SERVER INFO -->
	<table border="0" cellspacing="1" cellpadding="0" CLASS="SRVINFO">
		<tr><td colspan="2"><xsl:apply-templates select="WOLFSTATS/INFO" /></td></tr>
		<tr><td><xsl:apply-templates select="WOLFSTATS/SERVERSTATS" /></td>
		<td valign="top"><xsl:apply-templates select="WOLFSTATS/RULES" /></td></tr>
		
	</table>
	<!-- END SERVER INFO -->
	
	<!-- START PLAYER INFO -->
	<table border="0" cellspacing="1" cellpadding="2">
		<tr><td><xsl:apply-templates select="WOLFSTATS/PLAYERS" /></td></tr>
	</table>
	<!-- END PLAYER INFO -->
	
	<!-- START FOOTER -->
	<table>
	
	<tr><td CLASS="FOOTER"><br /><br />
	<a>
	<xsl:attribute name="href">../wolfstat.html</xsl:attribute>
	<xsl:attribute name="CLASS">FOOTER</xsl:attribute>
	Back to main
	</a><br /><br />
	
	Generated by <a>
			<xsl:attribute name="href"><xsl:value-of select="WOLFSTATS/INFO/HOMEPAGE" /></xsl:attribute>
			<xsl:attribute name="CLASS">FOOTER</xsl:attribute>
			WolfStat
			</a>, Created by Ravenous<br/>
	</td></tr>
	</table>
	<!-- END FOOTER -->
	</body>
</html>
</xsl:template>
<xsl:template match="INFO">
<table border="0" cellspacing="0" bgcolor="#000000" cellpadding="0">
<tr><td>
	<table border="0" cellspacing="1" cellpadding="2">
	<tr><td CLASS="SRV_ITEM">Admin</td>
	<td CLASS="SRV_MAIL_VALUE">
	<a>
		<xsl:attribute name="href">mailto:<xsl:value-of select="ADMIN_MAIL" /></xsl:attribute>
		<xsl:attribute name="CLASS">SRV_MAIL_VALUE</xsl:attribute>
		<xsl:value-of select="ADMIN_NICK" />
	</a>	
	</td></tr>
	<tr><td CLASS="SRV_ITEM">Admin ICQ</td>
	<td CLASS="SRV_VALUE"><xsl:value-of select="ADMIN_ICQ" /></td></tr>
	
	<tr><td CLASS="SRV_ITEM">Last run</td>
	<td CLASS="SRV_VALUE"><xsl:value-of select="LAST_RUN" /></td></tr>
	
	<tr><td CLASS="SRV_ITEM">Wolfstat version</td>
	<td CLASS="SRV_VALUE"><xsl:value-of select="VERSION" /></td></tr>
	
	</table>
</td></tr>
</table>
</xsl:template>

<xsl:template match="SERVERSTATS">
<table border="0" cellspacing="0" bgcolor="#000000" cellpadding="0">
<tr><td>
	<xsl:variable name="GT" select="/WOLFSTATS/SERVERSTATS/GAMETYPEID" />
	<table border="0" cellspacing="1" cellpadding="2">
	<tr><td colspan="2" CLASS="SRV_TOP">Server stats</td></tr>

	<tr><td CLASS="SRV_ITEM">Gametype: </td>
	<td CLASS="SRV_VALUE">
	<xsl:if test="$GT = '0'">
		RTCW
	</xsl:if>
	<xsl:if test="$GT = '1'">
		Quake3
	</xsl:if>
	</td>
	</tr>
	
	<tr><td CLASS="SRV_ITEM">Players: </td>
	<td CLASS="SRV_VALUE"><xsl:value-of select="TOTALPLAYERS" /></td></tr>
	
	<tr><td CLASS="SRV_ITEM">Red <xsl:if test="$GT = '0'">
		(Axis)
	</xsl:if> score: </td>
	<td CLASS="SRV_VALUE"><xsl:value-of select="REDSCORE" />
	</td>
	</tr>
	
	<tr><td CLASS="SRV_ITEM">Blue <xsl:if test="$GT = '0'">
		(Allies)
	</xsl:if> score: </td>
	<td CLASS="SRV_VALUE"><xsl:value-of select="BLUESCORE" /></td></tr>
	
	<tr><td CLASS="SRV_ITEM">Red <xsl:if test="$GT = '0'">
		(Axis)
	</xsl:if>
	wins: </td>
	<td CLASS="SRV_VALUE"><xsl:value-of select="REDWIN" /></td></tr>
	
	<tr><td CLASS="SRV_ITEM">Blue <xsl:if test="$GT = '0'">
		(Allies)
	</xsl:if> wins: </td>
	<td CLASS="SRV_VALUE"><xsl:value-of select="BLUEWIN" /></td></tr>
	
	<tr><td CLASS="SRV_ITEM">Played games: </td>
	<td CLASS="SRV_VALUE"><xsl:value-of select="GAMEINIT" /></td></tr>
	
	<tr><td CLASS="SRV_ITEM">Kills: </td>
	<td CLASS="SRV_VALUE"><xsl:value-of select="KILLS" /></td></tr>
	
	<tr><td CLASS="SRV_ITEM">Teamkills: </td>
	<td CLASS="SRV_VALUE"><xsl:value-of select="TEAMKILLS" /></td></tr>
	
	<tr><td CLASS="SRV_ITEM">Ping: </td>
	<td CLASS="SRV_VALUE"><xsl:value-of select="PING" /></td></tr>
	
	</table>
</td></tr>
</table>
</xsl:template>

<xsl:template match="RULES">
<table border="0" cellspacing="0" bgcolor="#000000" cellpadding="0">
<tr><td>
	<table border="0" cellspacing="1" cellpadding="2">
	<tr valign="bottom"><td colspan="2" CLASS="SRV_TOP">Rules to be listed</td></tr>

	<tr><td CLASS="SRV_ITEM">Min score:</td>
	<td CLASS="SRV_VALUE"><xsl:value-of select="RULE_MINSCORE" /></td></tr>
	
	<tr><td CLASS="SRV_ITEM">Min kills:</td>
	<td CLASS="SRV_VALUE"><xsl:value-of select="RULE_MINKILLS" /></td></tr>
	
	</table>
</td></tr>
</table>
</xsl:template>

<xsl:template match="PLAYERS">
<table border="0" cellspacing="0" bgcolor="#000000" cellpadding="0">
<tr><td>
		<xsl:variable name="SORT" select="/WOLFSTATS/SORT_BY" />
		<table border="0" cellspacing="1" cellpadding="2">
		<tr><td CLASS="PLAYER_TOP" align="center" colspan="8">Top 100 Players</td></tr>
		<tr>
			<td CLASS="PLAYERS_FIELD_TOP">Name</td>
			<td>
				<xsl:if test="$SORT = 'NONE'">
					<xsl:attribute name="CLASS">PLAYERS_FIELD_SELECTED</xsl:attribute>
					<a>
					<xsl:attribute name="href">wolfstat.html</xsl:attribute>
					<xsl:attribute name="CLASS">PLAYERS_FIELD_SELECTED</xsl:attribute>
					Rate
					</a>
				</xsl:if>
				<xsl:if test="$SORT != 'NONE'">
					<xsl:attribute name="CLASS">PLAYERS_FIELD</xsl:attribute>
					<a>
					<xsl:attribute name="href">wolfstat.html</xsl:attribute>
					<xsl:attribute name="CLASS">PLAYERS_FIELD</xsl:attribute>
					Rate
					</a>
				</xsl:if>
			</td>
			<td>
				<xsl:if test="$SORT = 'SCORE'">
					<xsl:attribute name="CLASS">PLAYERS_FIELD_SELECTED</xsl:attribute>
					<a>
					<xsl:attribute name="href">wolfstat_score.html</xsl:attribute>
					<xsl:attribute name="CLASS">PLAYERS_FIELD_SELECTED</xsl:attribute>
					Score
					</a>
				</xsl:if>
				<xsl:if test="$SORT != 'SCORE'">
					<xsl:attribute name="CLASS">PLAYERS_FIELD</xsl:attribute>
					<a>
					<xsl:attribute name="href">wolfstat_score.html</xsl:attribute>
					<xsl:attribute name="CLASS">PLAYERS_FIELD</xsl:attribute>
					Score
					</a>
				</xsl:if>
			</td>
			<td>
				<xsl:if test="$SORT = 'RATIO'">
					<xsl:attribute name="CLASS">PLAYERS_FIELD_SELECTED</xsl:attribute>
					<a>
					<xsl:attribute name="href">wolfstat_ratio.html</xsl:attribute>
					<xsl:attribute name="CLASS">PLAYERS_FIELD_SELECTED</xsl:attribute>
					Ratio
					</a>
				</xsl:if>
				<xsl:if test="$SORT != 'RATIO'">
					<xsl:attribute name="CLASS">PLAYERS_FIELD</xsl:attribute>
					<a>
					<xsl:attribute name="href">wolfstat_ratio.html</xsl:attribute>
					<xsl:attribute name="CLASS">PLAYERS_FIELD</xsl:attribute>
					Ratio
					</a>
				</xsl:if>
			</td>
			<td>
				<xsl:if test="$SORT = 'KILLS'">
					<xsl:attribute name="CLASS">PLAYERS_FIELD_SELECTED</xsl:attribute>
					<a>
					<xsl:attribute name="href">wolfstat_kills.html</xsl:attribute>
					<xsl:attribute name="CLASS">PLAYERS_FIELD_SELECTED</xsl:attribute>
					Kills
					</a>
				</xsl:if>
				<xsl:if test="$SORT != 'KILLS'">
					<xsl:attribute name="CLASS">PLAYERS_FIELD</xsl:attribute>
					<a>
					<xsl:attribute name="href">wolfstat_kills.html</xsl:attribute>
					<xsl:attribute name="CLASS">PLAYERS_FIELD</xsl:attribute>
					Kills
					</a>
				</xsl:if>
			</td>
			<td>	
				<xsl:if test="$SORT = 'DEATHS'">
					<xsl:attribute name="CLASS">PLAYERS_FIELD_SELECTED</xsl:attribute>
					<a>
					<xsl:attribute name="href">wolfstat_deaths.html</xsl:attribute>
					<xsl:attribute name="CLASS">PLAYERS_FIELD_SELECTED</xsl:attribute>
					Deaths
					</a>
				</xsl:if>
				<xsl:if test="$SORT != 'DEATHS'">
					<xsl:attribute name="CLASS">PLAYERS_FIELD</xsl:attribute>
					<a>
					<xsl:attribute name="href">wolfstat_deaths.html</xsl:attribute>
					<xsl:attribute name="CLASS">PLAYERS_FIELD</xsl:attribute>
					Deaths
					</a>
				</xsl:if>
			</td>
			<td>
				<xsl:if test="$SORT = 'SUICIDES'">
					<xsl:attribute name="CLASS">PLAYERS_FIELD_SELECTED</xsl:attribute>
					<a>
					<xsl:attribute name="href">wolfstat_suicides.html</xsl:attribute>
					<xsl:attribute name="CLASS">PLAYERS_FIELD_SELECTED</xsl:attribute>
					Suicides
					</a>
				</xsl:if>
				<xsl:if test="$SORT != 'SUICIDES'">
					<xsl:attribute name="CLASS">PLAYERS_FIELD</xsl:attribute>
					<a>
					<xsl:attribute name="href">wolfstat_suicides.html</xsl:attribute>
					<xsl:attribute name="CLASS">PLAYERS_FIELD</xsl:attribute>
					Suicides
					</a>
				</xsl:if>
			</td>
			<td CLASS="PLAYERS_FIELD_TOP">Ping</td>
		</tr>
			
			<xsl:if test="$SORT = 'NONE'">
				<xsl:apply-templates select="PLAYER">
					<xsl:sort select="STATS/RATE" order="descending" data-type="number"/>
				</xsl:apply-templates>
			</xsl:if>
			
			<xsl:if test="$SORT = 'SCORE'">
				<xsl:apply-templates select="PLAYER">
					<xsl:sort select="STATS/SCORE" order="descending" data-type="number"/>
				</xsl:apply-templates>
			</xsl:if>
				
			<xsl:if test="$SORT = 'RATIO'">
				<xsl:apply-templates select="PLAYER">
					<xsl:sort select="STATS/RATIO" order="descending" data-type="number"/>
				</xsl:apply-templates>
			</xsl:if>
			<xsl:if test="$SORT = 'KILLS'">
				<xsl:apply-templates select="PLAYER">
					<xsl:sort select="STATS/KILLS" order="descending" data-type="number"/>
				</xsl:apply-templates>
			</xsl:if>
			<xsl:if test="$SORT = 'DEATHS'">
				<xsl:apply-templates select="PLAYER">
					<xsl:sort select="STATS/DEATHS" order="descending" data-type="number"/>
				</xsl:apply-templates>
			</xsl:if>
			<xsl:if test="$SORT = 'SUICIDES'">
				<xsl:apply-templates select="PLAYER">
					<xsl:sort select="STATS/SUICIDES" order="descending" data-type="number"/>
				</xsl:apply-templates>
			</xsl:if>	
		</table>
	</td>
</tr>
</table>
</xsl:template>

<xsl:template match="PLAYER">
<xsl:if test=" 101 > position() ">
       
<tr valign="top">
	<xsl:if test=" position() mod 2 != 0 ">
		
		<td>
		<xsl:attribute name="CLASS">PLAYERS_FIELDS_NAME_HL</xsl:attribute>
    		<a>
    			<xsl:attribute name="href">wolfplayers/<xsl:value-of select="PLAINNAME" />.html</xsl:attribute>
    			<xsl:attribute name="CLASS">PLAYERS_FIELDS_NAME_HL</xsl:attribute>
    			<xsl:value-of select="PLAINNAME" />
    		</a>
		</td>
      		<td CLASS="PLAYERS_FIELDS_HL"><xsl:value-of select="STATS/RATE" /></td>
		<td CLASS="PLAYERS_FIELDS_HL"><xsl:value-of select="STATS/SCORE" /></td>
		<td CLASS="PLAYERS_FIELDS_HL"><xsl:value-of select="STATS/RATIO" /></td>
		<td CLASS="PLAYERS_FIELDS_HL"><xsl:value-of select="STATS/KILLS" /></td>
		<td CLASS="PLAYERS_FIELDS_HL"><xsl:value-of select="STATS/DEATHS" /></td>
		<td CLASS="PLAYERS_FIELDS_HL"><xsl:value-of select="STATS/SUICIDES" /></td>
		<td CLASS="PLAYERS_FIELDS_HL"><xsl:value-of select="STATS/PING" /></td>
		
	</xsl:if>
	<xsl:if test=" position() mod 2 = 0 ">
		
		<td>
		<xsl:attribute name="CLASS">PLAYERS_FIELDS_NAME</xsl:attribute>
    		<a>
    			<xsl:attribute name="href">wolfplayers/<xsl:value-of select="PLAINNAME" />.html</xsl:attribute>
    			<xsl:attribute name="CLASS">PLAYERS_FIELDS_NAME</xsl:attribute>
    			<xsl:value-of select="PLAINNAME" />
    		</a>
		</td>
      		<td CLASS="PLAYERS_FIELDS"><xsl:value-of select="STATS/RATE" /></td>
		<td CLASS="PLAYERS_FIELDS"><xsl:value-of select="STATS/SCORE" /></td>
		<td CLASS="PLAYERS_FIELDS"><xsl:value-of select="STATS/RATIO" /></td>
		<td CLASS="PLAYERS_FIELDS"><xsl:value-of select="STATS/KILLS" /></td>
		<td CLASS="PLAYERS_FIELDS"><xsl:value-of select="STATS/DEATHS" /></td>
		<td CLASS="PLAYERS_FIELDS"><xsl:value-of select="STATS/SUICIDES" /></td>
		<td CLASS="PLAYERS_FIELDS"><xsl:value-of select="STATS/PING" /></td>
	</xsl:if>

		
</tr>

</xsl:if>
	
</xsl:template>

<xsl:template match="STATS">
	
</xsl:template>

<xsl:template match="PLAYER/TARGETS">
	<tr><td colspan="2">Targets</td></tr>
	<xsl:apply-templates select="TARGET" />
</xsl:template>

<xsl:template match="TARGET">
	<tr><td></td><td><xsl:value-of select="NAME" /></td></tr>
</xsl:template>

</xsl:stylesheet>